# (c) cavaliba.com


# -------------------------------------------------------------------
# _home Instances
# -------------------------------------------------------------------


# -- Services (100)

- classname: _home
  keyname: home
  displayname: Home Dashboard
  description: Main App
  icon: fa-home
  url: /home/private/
  order: 10
  permission: p_home_access



# ---- ASSETS 200-399

- classname: _home
  keyname: user
  displayname: Users
  description: Users
  icon: fa-user-plus
  url: /data/private/c/user/list/
  order: 202
  dashboard_section: Asset Management
  sidebar_section: Asset Management
  permission: p_user_read

- classname: _home
  keyname: group
  displayname: Groups
  description: Groups
  icon: fa-users
  url: /data/private/c/group/list/
  order: 204
  dashboard_section: Asset Management
  sidebar_section: Asset Management
  permission: p_group_read
  

# ...

- classname: _home
  keyname: data
  displayname: "[+] Other"
  description: Other Asset Management (all)
  icon: fa-database
  url: /data/private/
  dashboard_section: Asset Management
  sidebar_section: Asset Management
  order: 399
  permission: p_data_access


    
# --- 400 Tools

- classname: _home
  keyname: import
  displayname: Import
  description: Import tool
  icon: fa-plus
  url: /data/private/import/
  dashboard_section: Tools
  sidebar_section: Tools
  order: 402
  permission: p_data_import


- classname: _home
  keyname: export
  displayname: Export
  description: Export tool
  icon: fa-minus
  url: /data/private/export/
  dashboard_section: Tools
  sidebar_section: Tools
  order: 404
  permission: p_data_export
  
- classname: _home
  keyname: code_editor
  displayname: Code Editor
  description: RAW YAML/JSON code editor
  icon: fa-code
  url: /data/private/texteditor/
  dashboard_section: Tools
  sidebar_section: Tools
  order: 406
  permission: p_data_import

- classname: _home
  keyname: enumerate
  displayname: Enumerate
  description: Enumerate lists
  icon: fa-list
  url: /data/private/c/_enumerate/list/
  dashboard_section: Tools
  sidebar_section: Tools
  order: 412
  permission: p_enumerate_read

- classname: _home
  keyname: pipeline
  displayname: Pipeline
  description: Pipeline
  icon: fa-gears
  url: /data/private/c/_pipeline/list/
  dashboard_section: Tools
  sidebar_section: Tools
  order: 414
  permission: p_pipeline_read

- classname: _home
  keyname: dataview
  displayname: Dataview
  description: Dataview
  icon: fa-table
  url: /data/private/c/_dataview/list/
  dashboard_section: Tools
  sidebar_section: Tools
  order: 410
  permission: p_dataview_read

- classname: _home
  keyname: conf
  displayname: Configuration
  description: Configuration Management
  icon: fa-wrench
  url: /home/private/conf/
  order: 420
  dashboard_section: Tools
  sidebar_section: Tools
  permission: p_conf_view

- classname: _home
  keyname: revision
  displayname: Revision Log
  description: Revision Log
  icon: fa-history
  url: /home/private/admintools/revision/
  order: 422
  dashboard_section: Tools
  sidebar_section: Tools
  permission: p_admintools

- classname: _home
  keyname: admintools
  displayname: Admin tools
  description: Admin tools
  icon: fa-cog
  url: /home/private/admintools/
  dashboard_section: Tools
  sidebar_section: Tools
  order: 424
  permission: p_admintools



# --- 500 Security



- classname: _home
  keyname: role
  displayname: Roles
  description: Roles
  icon: fa-user-secret
  url: /data/private/c/role/list/
  order: 502
  dashboard_section: Security
  sidebar_section: Security
  permission: p_role_read

- classname: _home
  keyname: permission
  displayname: Permissions
  description: Permissions
  icon: fa-lock
  url: /data/private/permissions/
  order: 504
  dashboard_section: Security
  sidebar_section: Security
  permission: p_permission_read

- classname: _home
  keyname: apikey
  displayname: ApiKey
  description: ApiKey
  icon: fa-key
  url: /data/private/c/_apikey/list/
  dashboard_section: Security
  sidebar_section: Security
  order: 506
  permission: p_apikey_read  

- classname: _home
  keyname: log
  displayname: Logs
  description: Audit trail
  icon: fa-book
  url: /home/private/log/
  dashboard_section: Security
  sidebar_section: Security
  order: 508
  permission: p_log_view  

# --- 700 Doc

- classname: _home
  keyname: cavaliba
  displayname: Doc Cavaliba (Ext)
  description: Doc Cavaliba
  icon: fa-book
  url: https://cavaliba.com/docs/
  dashboard_section: Doc
  sidebar_section: Doc
  order: 700
  permission: p_home_access

# --- 900 Internal
# 902 sirene_message


